// pages/list/list.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:[],
    subject_id:'',
    organizer_id:'',
    keyword:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      subject_id: options.subject_id,
      organizer_id: options.organizer_id
    })
    wx.setNavigationBarTitle({
      title: options.title,
    })
    this.getData();
  },
  getData(){
    var that = this, data = { keyword:this.data.keyword};
        wx.showNavigationBarLoading()
        if (this.data.subject_id){
          data.subject_id = this.data.subject_id
        }
        if (this.data.organizer_id) {
          data.organizer_id = this.data.organizer_id
        }
        wx.request({
          url: host + '/api/journals/list',
          method: 'GET',
          data:data,
          success: function (res) {
            wx.hideNavigationBarLoading()
            var nowx = res.data.data.list.filter(item => !item.wxcode)
            that.setData({
              list: res.data.data.list,
              nowx: nowx
            })
          }
        })
  },
  search: function (e) {
    this.setData({
      keyword: e.detail.value
    })
    this.getData();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})