// pages/order/order.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
      act:1,
      code:0,
      uid:'',
      list:[],  
      online_address:"",
      contype:false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
    wx.getStorage({
      key: 'uid',
      success: res => {
        if (res.data) {
          this.setData({
            uid: res.data
          })  
          this.getData();
        }
      },
    })
  },
  getData:function(){
    wx.showNavigationBarLoading()
    wx.request({
      url: host + '/api/user/signup/list',
      method: 'GET',
      data: {
        type: this.data.act,
        uid: this.data.uid
      },
      success: res=> {
        wx.hideNavigationBarLoading();
        this.setData({
          list: res.data.data.list
        })
      },
      fail: function () {
        wx.hideLoading();
        wx.showToast({
          title: '服务器开小差啦！',
          icon: 'none'
        })
      }
    })
  },
  verify:function(e){
    var code=e.target.dataset.url;
    this.setData({
      code:code
    })
  },
  close:function(){
    this.setData({
      code: '',
      contype:false
    })
  },
  showAddress(e){
    var address = e.target.dataset.address;
    this.setData({
      contype:true,
      online_address:address
    })
  },
  tab:function(e){
      this.setData({
        act:e.target.dataset.id
      })
      this.getData();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})