// pages/verify/verify.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    check:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const q = decodeURIComponent(options.q) 
    wx.showNavigationBarLoading();
    wx.getStorage({
      key: 'uid',
      success: res => {
        if (res.data) {
          wx.request({
            url: host + '/api/signup/verify',
            method: 'POST',
            data: { uid: res.data, sid: q},
            success: result => {
              wx.hideLoading();
              this.setData({
                check: result.data.data
              })
            }
          })
        }
      },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})