// pages/journalDetail/journalDetail.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    wx.showLoading({
      title: '加载中',
    })
    wx.request({
      url: host + '/api/detail',
      method: 'GET',
      data: {
        type: 'journal',
        id: options.id
      },
      success: function (res) {
        wx.hideLoading();
        that.setData({
          info: res.data.data
        })
      },
      fail: function () {
        wx.hideLoading();
        wx.showToast({
          title: '服务器开小差啦！',
          icon: 'none'
        })
      }
    })
  },
  weixin: function () {
    if (this.data.info.qrcode || this.data.info.wxcode) {
      this.setData({
        show: true
      })
    } else {
      wx.showToast({
        title: '该期刊暂无公众号',
      })
    }
  },
  close: function () {
    this.setData({
      show: false
    })
  },
  view: function () {
    wx.previewImage({
      urls: [this.data.info.qrcode],
      current: this.data.info.qrcode
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})